%define upstream_name    IPC-ShareLite
%define upstream_version 0.17

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 27

Summary: 	Lightweight interface to shared memory
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel >= 5.8.0


%description
IPC-ShareLite module for perl.  IPC::ShareLite provides a simple
interface to shared memory, allowing data to be efficiently
communicated between processes.  Your operating system must support
SysV IPC (shared memory and semaphores) in order to use this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
make CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/*/*
%{perl_vendorarch}/auto/IPC
%{perl_vendorarch}/IPC


%changelog
* Tue Nov 28 2023 tv <tv> 0.170.0-27.mga10
+ Revision: 2010471
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.170.0-26.mga9
+ Revision: 1862040
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.170.0-25.mga9
+ Revision: 1795842
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.170.0-24.mga9
+ Revision: 1726737
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.170.0-23.mga8
+ Revision: 1594824
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.170.0-22.mga8
+ Revision: 1529597
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.170.0-21.mga8
+ Revision: 1433715
- rebuild for perl 5.30

* Tue Aug 27 2019 tv <tv> 0.170.0-20.mga8
+ Revision: 1433277
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.170.0-19.mga7
+ Revision: 1293199
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.170.0-18.mga7
+ Revision: 1250305
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.170.0-17.mga7
+ Revision: 1165027
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.170.0-16.mga7
+ Revision: 1148985
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.170.0-15.mga7
+ Revision: 1126572
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-14.mga6
+ Revision: 1028805
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.170.0-13.mga6
+ Revision: 957576
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.170.0-12.mga6
+ Revision: 843126
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-11.mga5
+ Revision: 741736
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-10.mga5
+ Revision: 685104
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.170.0-9.mga5
+ Revision: 631295
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.170.0-8.mga4
+ Revision: 525097
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.170.0-7.mga4
+ Revision: 432284
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.170.0-6.mga4
+ Revision: 432132
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-5.mga3
+ Revision: 368645
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.170.0-4.mga3
+ Revision: 250790
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.170.0-3.mga2
+ Revision: 104693
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.170.0-2.mga1
+ Revision: 30548
- mageia rebuild
- imported package perl-IPC-ShareLite

